apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ .Chart.Name }}-static
  namespace: {{ .Chart.Name }}
  labels:
    app: {{ .Chart.Name }}
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
    nginx.ingress.kubernetes.io/rewrite-target: {{ .Values.ingress.static.rewrite_target }}
spec:
  rules:
    - host: {{ .Values.domain }}
      http:
        paths:
          - path: {{ .Values.ingress.static.path }}
            backend:
              serviceName: {{ .Chart.Name }}
              servicePort: 80
